# $Revision: 1.11 $, $Date: 2002/06/23 21:34:57 $
%define		_pre	pre3
Summary:	Drivers for printing to HP PPA printers
Summary(pl):	Sterowniki do drukarek HP PPA
Name:		pnm2ppa
Version:	1.10
Release:	0.%{_pre}
License:	GPL
Group:		Applications/Publishing
Source0:	http://belnet.dl.sourceforge.net/pnm2ppa/%{name}-%{version}%{_pre}.tar.gz
Source1:	ppa-0.8.6.tar.gz
Source2:	%{name}-filters.tar.gz
Patch0:		pbm2ppa-20000205.diff
Patch1:		%{name}-pld.patch
Patch2:		%{name}-destdir.patch
URL:		http://pnm2ppa.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	mpage ghostscript
Obsoletes:	ppa
Obsoletes:	pbm2ppa

%description
pnm2ppa is a color driver for HP PPA host-based printers such as the
HP710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, and 1000Cxi. It
accepts ghostscript output in PNM formats, and sends it to the printer
in PPA format. The older (black only) driver pbm2ppa is also included.

Install pnm2ppa if you have a PPA printer and need to print.

For further information, see the pnm2ppa project homepage at
http://pnm2ppa.sourceforge.net/ .

%description -l pl
pnm2ppa to obsugujcy kolor sterownik do drukarek HP PPA, takich jak
HP710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, 1000Cxi. Przyjmuje
wyjcie ghostscripta w formacie PNM, wysya je na drukark w formacie
PPA. Zaczona jest te starsza (obsugujca tylko czer) wersja
sterownika o nazwie pbm2ppa.

Wicej informacji znajduje si na stronie projektu.

%prep
%setup -q -n %{name}-%{version}%{_pre} -a1 -a2
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%{__make}
cd pbm2ppa-0.8.6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_mandir}/man1,%{_libdir}/lpfilters}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

install utils/Linux/detect_ppa $RPM_BUILD_ROOT%{_bindir}
install utils/Linux/test_ppa $RPM_BUILD_ROOT%{_bindir}
install pbm2ppa-0.8.6/pbm2ppa $RPM_BUILD_ROOT%{_bindir}
install pbm2ppa-0.8.6/pbmtpg $RPM_BUILD_ROOT%{_bindir}
install pbm2ppa-0.8.6/pbm2ppa.conf $RPM_BUILD_ROOT%{_sysconfdir}
install pbm2ppa-0.8.6/pbm2ppa.1 $RPM_BUILD_ROOT%{_mandir}/man1
install pnm2ppa-filters/pnm2ppa-filter-bw $RPM_BUILD_ROOT%{_libdir}/lpfilters
install pnm2ppa-filters/pnm2ppa-filter-bw-eco $RPM_BUILD_ROOT%{_libdir}/lpfilters
install pnm2ppa-filters/pnm2ppa-filter-color $RPM_BUILD_ROOT%{_libdir}/lpfilters
install pnm2ppa-filters/pnm2ppa-filter-color-eco $RPM_BUILD_ROOT%{_libdir}/lpfilters

install -d pbm2ppa
for file in CALIBRATION CREDITS README ; do
	install -m 0644 pbm2ppa-0.8.6/$file pbm2ppa/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/en/{CREDITS,INSTALL,LICENSE,README,RELEASE-NOTES,TODO,COLOR.txt,CALIBRATION.txt}
%doc test.ps pbm2ppa
%attr(755,root,root) %{_bindir}/pnm2ppa
%attr(755,root,root) %{_bindir}/pbm2ppa
%attr(755,root,root) %{_bindir}/pbmtpg
%attr(755,root,root) %{_bindir}/calibrate_ppa
%attr(755,root,root) %{_bindir}/test_ppa
%attr(755,root,root) %{_bindir}/detect_ppa
%{_mandir}/man1/*.1*
%attr(755,root,root) %{_libdir}/lpfilters/pnm2ppa-filter-*
%config %{_sysconfdir}/pnm2ppa.conf
%config %{_sysconfdir}/pbm2ppa.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pnm2ppa.spec,v $
Revision 1.11  2002/06/23 21:34:57  mkierus
- updated to 1.10pre3 (fix bug in -g option: color correction test output, add support for 300dpi input)

Revision 1.10  2002/06/19 08:28:40  kloczek
- use new %doc.

Revision 1.9  2002/06/17 08:24:09  mkierus
- updated to 1.10pre2 (1.10pre2 fixes a bug in 1.10pre1)

Revision 1.8  2002/06/12 12:40:03  mkierus
- updated to 1.10pre1 (many changes since 1.04)

Revision 1.7  2002/04/26 13:24:38  ankry
- removed non-working URL

Revision 1.6  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/07 19:57:15  blues
- simplifications in files

Revision 1.2  2001/12/07 16:06:00  qboosh
- adapterized, pl translations, cleanup, gzip doc

Revision 1.1  2001/03/23 15:13:29  misiek
renamed

Revision 1.1  2001/03/22 15:57:25  mkierus
- Initial release based on spec from SourceForge
- Added filters for LPRng
